Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-54862

PCT: Add support of passing plugin version overrides

    Details

    • Similar Issues:

      Description

      Currently PCT run just fails when running a Pipeline-dependent test with JDK11. It happens due to the known compat issue in Pipeline:Support plugin. We need to somehow workaround it to enable testing with Java 11

      Acceptance criteria:

      • It is possible to override a plugin dependency version by passing a parameter to PCT
      • It is possible to pass an incrementals version via such parameters
      • The change is tested with Pipeline: Support patch for Java 11 and, for example, mailer plugin

        Attachments

          Issue Links

            Activity

            There are no comments yet on this issue.

              People

              • Assignee:
                alecharp Adrien Lecharpentier
                Reporter:
                alecharp Adrien Lecharpentier
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: